=== debian/changelog ===
ros-indigo-blob (0.1.1-0trusty) trusty; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-blob (0.1.0-0trusty) trusty; urgency=high

  * blob: fixed serialization from messages to blobs/instantiation from
    blobs to messages
  * blob: added member functions to access compressed data or set blob from
    compressed data stream
  * blob: serialize an empty blob as empty uncompressed array
  * blob: added Blob::serialize() method to serialize objects into blobs
  * initial version

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 06 Aug 2013 22:00:00 -0000
