=== debian/control ===
Source: ros-indigo-blob
Section: misc
Priority: extra
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), libbz2-dev, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp
Homepage: http://github.com/tu-darmstadt-ros-pkg/blob_tools
Standards-Version: 3.9.2

Package: ros-indigo-blob
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbz2-dev, ros-indigo-message-runtime, ros-indigo-roscpp
Description: blob provides a new message type blob/Blob for binary data.
